> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rubic.finance/llms.txt
> Use this file to discover all available pages before exploring further.

# Get swap data via deposit

> Using this endpoint, you can get the deposit data required to perform a manual transfer to a selected deposit-based provider. The response includes the depositAddress, amountToSend, exchangeId, and optional extraFields, which can be used to manually send funds from the wallet. This data is generated based on the route selected in the previous step and is intended for providers that require a direct deposit instead of an on-chain swap transaction.



## OpenAPI

````yaml https://api-v2.rubic.exchange/api/routes/swagger-json post /api/routes/swapDepositTrade
openapi: 3.0.0
info:
  title: Rubic API
  description: The Rubic API description
  version: '1.0'
  contact: {}
servers:
  - url: https://api-v2.rubic.exchange
    description: Production
security: []
tags: []
paths:
  /api/routes/swapDepositTrade:
    post:
      tags:
        - Router
      summary: Get swap data via deposit
      description: >-
        Using this endpoint, you can get the deposit data required to perform a
        manual transfer to a selected deposit-based provider. The response
        includes the depositAddress, amountToSend, exchangeId, and optional
        extraFields, which can be used to manually send funds from the wallet.
        This data is generated based on the route selected in the previous step
        and is intended for providers that require a direct deposit instead of
        an on-chain swap transaction.
      operationId: RouterController_getSwapDepositTrade
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SwapDepositRequestDto'
            examples:
              01-ethereum.native-polygon.native:
                summary: ETH.NATIVE to POLYGON.NATIVE
                value:
                  dstTokenAddress: '0x0000000000000000000000000000000000000000'
                  dstTokenBlockchain: POLYGON
                  referrer: rubic.exchange
                  srcTokenAddress: '0x0000000000000000000000000000000000000000'
                  srcTokenAmount: '1.05'
                  srcTokenBlockchain: ETH
                  id: string
                  receiver: '0x1b3cB81E51011b549d78bf720b0d924ac763A7C2'
              02-ethereum.usdt-polygon.usdt:
                summary: ETH.USDT to POLYGON.USDT
                value:
                  dstTokenAddress: '0xc2132d05d31c914a87c6611c10748aeb04b58e8f'
                  dstTokenBlockchain: POLYGON
                  referrer: rubic.exchange
                  srcTokenAddress: '0xdac17f958d2ee523a2206206994597c13d831ec7'
                  srcTokenAmount: '50'
                  srcTokenBlockchain: ETH
                  id: string
                  receiver: '0x1b3cB81E51011b549d78bf720b0d924ac763A7C2'
              03-ethereum.usdt-bnb.usdt:
                summary: ETH.USDT to BNB.USDT
                value:
                  dstTokenAddress: '0x55d398326f99059ff775485246999027b3197955'
                  dstTokenBlockchain: BSC
                  referrer: rubic.exchange
                  srcTokenAddress: '0xdac17f958d2ee523a2206206994597c13d831ec7'
                  srcTokenAmount: '50'
                  srcTokenBlockchain: ETH
                  id: string
                  receiver: '0x1b3cB81E51011b549d78bf720b0d924ac763A7C2'
              04-ethereum.usdt-ethereum.native:
                summary: ETH.USDT to ETH.ETH
                value:
                  dstTokenAddress: '0x0000000000000000000000000000000000000000'
                  dstTokenBlockchain: ETH
                  referrer: rubic.exchange
                  srcTokenAddress: '0xdac17f958d2ee523a2206206994597c13d831ec7'
                  srcTokenAmount: '50'
                  srcTokenBlockchain: ETH
                  id: string
                  receiver: '0x1b3cB81E51011b549d78bf720b0d924ac763A7C2'
              05-solana.usdt-ethereum.usdt:
                summary: SOL.USDT to ETH.USDT
                value:
                  dstTokenAddress: '0xdac17f958d2ee523a2206206994597c13d831ec7'
                  dstTokenBlockchain: ETH
                  referrer: rubic.exchange
                  srcTokenAddress: Es9vMFrzaCERmJfrF4H2FYD4KCoNkY11McCe8BenwNYB
                  srcTokenAmount: '50'
                  srcTokenBlockchain: SOLANA
                  id: string
                  receiver: '0x1b3cB81E51011b549d78bf720b0d924ac763A7C2'
              06-ethereum.usdt-solana.usdt:
                summary: ETH.USDT to SOL.USDT
                value:
                  dstTokenAddress: Es9vMFrzaCERmJfrF4H2FYD4KCoNkY11McCe8BenwNYB
                  dstTokenBlockchain: SOLANA
                  referrer: rubic.exchange
                  srcTokenAddress: '0xdac17f958d2ee523a2206206994597c13d831ec7'
                  srcTokenAmount: '50'
                  srcTokenBlockchain: ETH
                  id: string
                  receiver: '0x1b3cB81E51011b549d78bf720b0d924ac763A7C2'
              07-solana.usdt-solana.usdc:
                summary: SOL.USDT to SOL.USDC
                value:
                  dstTokenAddress: EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v
                  dstTokenBlockchain: SOLANA
                  referrer: rubic.exchange
                  srcTokenAddress: Es9vMFrzaCERmJfrF4H2FYD4KCoNkY11McCe8BenwNYB
                  srcTokenAmount: '50'
                  srcTokenBlockchain: SOLANA
                  id: string
                  receiver: '0x1b3cB81E51011b549d78bf720b0d924ac763A7C2'
              08-ethereum.usdc-tron.usdc:
                summary: ETH.USDC to TRON.USDC
                value:
                  dstTokenAddress: TEkxiTehnzSmSe2XqrBj4w32RUN966rdz8
                  dstTokenBlockchain: TRON
                  referrer: rubic.exchange
                  srcTokenAddress: '0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48'
                  srcTokenAmount: '50'
                  srcTokenBlockchain: ETH
                  id: string
                  receiver: '0x1b3cB81E51011b549d78bf720b0d924ac763A7C2'
              09-ton.usdt-ton.native:
                summary: TON.USDT to TON.TON
                value:
                  dstTokenAddress: '0x0000000000000000000000000000000000000000'
                  dstTokenBlockchain: TON
                  referrer: rubic.exchange
                  srcTokenAddress: EQCxE6mUtQJKFnGfaROTKOt1lZbDiiX1kCixRv7Nw2Id_sDs
                  srcTokenAmount: '10'
                  srcTokenBlockchain: TON
                  id: string
                  receiver: '0x1b3cB81E51011b549d78bf720b0d924ac763A7C2'
              10-bitcoin.native-merlin.native:
                summary: BTC.BITCOIN to MERLIN.BTC
                value:
                  dstTokenAddress: '0x0000000000000000000000000000000000000000'
                  dstTokenBlockchain: MERLIN
                  referrer: rubic.exchange
                  srcTokenAddress: '0x0000000000000000000000000000000000000000'
                  srcTokenAmount: '0.01'
                  srcTokenBlockchain: BITCOIN
                  id: string
                  receiver: '0x1b3cB81E51011b549d78bf720b0d924ac763A7C2'
              11-bitcoin.native-ethereum.wbtc:
                summary: BTC.BITCOIN to ETH.WBTC
                value:
                  dstTokenAddress: '0x2260fac5e5542a773aa44fbcfedf7c193bc2c599'
                  dstTokenBlockchain: ETH
                  referrer: rubic.exchange
                  srcTokenAddress: '0x0000000000000000000000000000000000000000'
                  srcTokenAmount: '0.01'
                  srcTokenBlockchain: BITCOIN
                  id: string
                  receiver: '0x1b3cB81E51011b549d78bf720b0d924ac763A7C2'
              12-sui.native-sui.usdc:
                summary: SUI.SUI to SUI.USDC
                value:
                  dstTokenAddress: >-
                    0xdba34672e30cb065b1f93e3ab55318768fd6fef66c15942c9f7cb846e2f900e7::usdc::USDC
                  dstTokenBlockchain: SUI
                  referrer: rubic.exchange
                  srcTokenAddress: >-
                    0x0000000000000000000000000000000000000000000000000000000000000002::sui::SUI
                  srcTokenAmount: '10'
                  srcTokenBlockchain: SUI
                  id: string
                  receiver: '0x1b3cB81E51011b549d78bf720b0d924ac763A7C2'
              13-ethereum.native-sui.native:
                summary: ETH.NATIVE to SUI.SUI
                value:
                  dstTokenAddress: >-
                    0x0000000000000000000000000000000000000000000000000000000000000002::sui::SUI
                  dstTokenBlockchain: SUI
                  referrer: rubic.exchange
                  srcTokenAddress: '0x0000000000000000000000000000000000000000'
                  srcTokenAmount: '10'
                  srcTokenBlockchain: ETH
                  id: string
                  receiver: '0x1b3cB81E51011b549d78bf720b0d924ac763A7C2'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SwapResponseDto'
        default:
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SwapResponseDto'
components:
  schemas:
    SwapDepositRequestDto:
      type: object
      properties:
        srcTokenAddress:
          type: string
          description: Destination token blockchain
        dstTokenBlockchain:
          type: string
          description: Destination token blockchain
          default: POLYGON
          enum:
            - MUMBAI
            - BSCT
            - GOERLI
            - FUJI
            - SCROLL_SEPOLIA
            - ARTHERA
            - SEPOLIA
            - BERACHAIN_TESTNET
            - BLAST_TESTNET
            - HOLESKY
            - UNICHAIN_SEPOLIA_TESTNET
            - ETH
            - BSC
            - POLYGON
            - POLYGON_ZKEVM
            - AVALANCHE
            - MOONRIVER
            - FANTOM
            - HARMONY
            - ARBITRUM
            - AURORA
            - TELOS
            - OPTIMISM
            - CRONOS
            - OKX
            - GNOSIS
            - FUSE
            - MOONBEAM
            - CELO
            - BOBA
            - BOBA_BSC
            - ASTAR_EVM
            - KAVA
            - BITGERT
            - OASIS
            - METIS
            - DEFIKINGDOMS
            - KLAYTN
            - VELAS
            - SYSCOIN
            - ETHEREUM_CLASSIC
            - FLARE
            - IOTEX
            - THETA
            - ZK_SYNC
            - PULSECHAIN
            - LINEA
            - BASE
            - MANTLE
            - MANTA_PACIFIC
            - SCROLL
            - ZETACHAIN
            - BLAST
            - HORIZEN_EON
            - MERLIN
            - ROOTSTOCK
            - MODE
            - ZK_FAIR
            - ZK_LINK
            - XLAYER
            - TAIKO
            - SEI
            - CORE
            - BAHAMUT
            - BITLAYER
            - GRAVITY
            - FRAXTAL
            - BERACHAIN
            - SONEIUM
            - UNICHAIN
            - MORPH
            - HEMI
            - PLASMA
            - MONAD
            - HYPER_EVM
            - MEGAETH
            - BITCOIN_CASH
            - NEAR
            - ICP
            - CARDANO
            - AION
            - ALGORAND
            - APTOS
            - ARDOR
            - ARK
            - ASTAR
            - COSMOS
            - BAND_PROTOCOL
            - BITCOIN_DIAMOND
            - BSV
            - BITCOIN_GOLD
            - CASPER
            - DASH
            - DECRED
            - DIGI_BYTE
            - DIVI
            - DOGECOIN
            - POLKADOT
            - MULTIVERS_X
            - FIO_PROTOCOL
            - FIRO
            - FLOW
            - HEDERA
            - HELIUM
            - ICON
            - IOST
            - IOTA
            - KADENA
            - KOMODO
            - KUSAMA
            - LISK
            - LITECOIN
            - TERRA
            - TERRA_CLASSIC
            - MINA_PROTOCOL
            - NANO
            - NEO
            - OSMOSIS
            - PIVX
            - POLYX
            - QTUM
            - THOR_CHAIN
            - RAVENCOIN
            - SIA
            - SECRET
            - STEEM
            - STRATIS
            - STACKS
            - SOLAR
            - VE_CHAIN
            - WAVES
            - WAX
            - DX_CHAIN
            - E_CASH
            - NEM
            - STELLAR
            - MONERO
            - RIPPLE
            - TEZOS
            - VERGE
            - SYMBOL
            - ZCASH
            - HORIZEN
            - ZILLIQA
            - KAVA_COSMOS
            - FILECOIN
            - EOS
            - ONTOLOGY
            - XDC
            - STARKNET
            - TON
            - SOLANA
            - BITCOIN
            - TRON
            - SUI
        srcTokenBlockchain:
          type: string
          description: Source token blockchain
          default: ETH
          enum:
            - MUMBAI
            - BSCT
            - GOERLI
            - FUJI
            - SCROLL_SEPOLIA
            - ARTHERA
            - SEPOLIA
            - BERACHAIN_TESTNET
            - BLAST_TESTNET
            - HOLESKY
            - UNICHAIN_SEPOLIA_TESTNET
            - ETH
            - BSC
            - POLYGON
            - POLYGON_ZKEVM
            - AVALANCHE
            - MOONRIVER
            - FANTOM
            - HARMONY
            - ARBITRUM
            - AURORA
            - TELOS
            - OPTIMISM
            - CRONOS
            - OKX
            - GNOSIS
            - FUSE
            - MOONBEAM
            - CELO
            - BOBA
            - BOBA_BSC
            - ASTAR_EVM
            - KAVA
            - BITGERT
            - OASIS
            - METIS
            - DEFIKINGDOMS
            - KLAYTN
            - VELAS
            - SYSCOIN
            - ETHEREUM_CLASSIC
            - FLARE
            - IOTEX
            - THETA
            - ZK_SYNC
            - PULSECHAIN
            - LINEA
            - BASE
            - MANTLE
            - MANTA_PACIFIC
            - SCROLL
            - ZETACHAIN
            - BLAST
            - HORIZEN_EON
            - MERLIN
            - ROOTSTOCK
            - MODE
            - ZK_FAIR
            - ZK_LINK
            - XLAYER
            - TAIKO
            - SEI
            - CORE
            - BAHAMUT
            - BITLAYER
            - GRAVITY
            - FRAXTAL
            - BERACHAIN
            - SONEIUM
            - UNICHAIN
            - MORPH
            - HEMI
            - PLASMA
            - MONAD
            - HYPER_EVM
            - MEGAETH
            - BITCOIN_CASH
            - NEAR
            - ICP
            - CARDANO
            - AION
            - ALGORAND
            - APTOS
            - ARDOR
            - ARK
            - ASTAR
            - COSMOS
            - BAND_PROTOCOL
            - BITCOIN_DIAMOND
            - BSV
            - BITCOIN_GOLD
            - CASPER
            - DASH
            - DECRED
            - DIGI_BYTE
            - DIVI
            - DOGECOIN
            - POLKADOT
            - MULTIVERS_X
            - FIO_PROTOCOL
            - FIRO
            - FLOW
            - HEDERA
            - HELIUM
            - ICON
            - IOST
            - IOTA
            - KADENA
            - KOMODO
            - KUSAMA
            - LISK
            - LITECOIN
            - TERRA
            - TERRA_CLASSIC
            - MINA_PROTOCOL
            - NANO
            - NEO
            - OSMOSIS
            - PIVX
            - POLYX
            - QTUM
            - THOR_CHAIN
            - RAVENCOIN
            - SIA
            - SECRET
            - STEEM
            - STRATIS
            - STACKS
            - SOLAR
            - VE_CHAIN
            - WAVES
            - WAX
            - DX_CHAIN
            - E_CASH
            - NEM
            - STELLAR
            - MONERO
            - RIPPLE
            - TEZOS
            - VERGE
            - SYMBOL
            - ZCASH
            - HORIZEN
            - ZILLIQA
            - KAVA_COSMOS
            - FILECOIN
            - EOS
            - ONTOLOGY
            - XDC
            - STARKNET
            - TON
            - SOLANA
            - BITCOIN
            - TRON
            - SUI
        srcTokenAmount:
          type: string
          description: Source token amount with decimals
          example: '1.05'
        dstTokenAddress:
          type: string
          description: Destination token address
          example: '0x0000000000000000000000000000000000000000'
        nativeBlacklist:
          description: Native provider-calculation to exclude from calculation
          default: []
          type: array
          items:
            type: string
        receiver:
          type: string
          description: Wallet address to send tokens to on the destination blockchain
          default: ''
        fromAddress:
          type: string
          description: Wallet address to send funds from
        integratorAddress:
          type: string
          description: Integrator address to set fees
        slippage:
          type: number
          description: Slippage tolerance in percents for trade
          example: 0.02
          maximum: 0.5
        preferredProvider:
          type: string
          description: Preferred provider for calculation
          enum:
            - symbiosis
            - lifi
            - dln
            - bridgers
            - multichain
            - xy
            - celer_bridge
            - changenow
            - stargate_v2
            - arbitrum
            - squidrouter
            - scroll_bridge
            - taiko_bridge
            - rango
            - pulsechain_bridge
            - orbiter_bridge
            - orbiter_bridge_v2
            - owl_to_bridge
            - layerzero
            - archon_bridge
            - meson
            - eddy_bridge
            - router
            - retro_bridge
            - across
            - unizen
            - simple_swap
            - changelly
            - tele_swap
            - wanchain_bridge
            - relay
            - xflows
            - wormhole
            - exolix
            - near_intents
            - usdt_zero_bridge
            - houdini
            - quickex
            - rubic_stellar_api
            - pact_swap
            - stealthex
            - mayan
            - instaswap
            - 10K_SWAP
            - AERODROME
            - ACRYPTOS
            - ALDRIN_EXCHANGE
            - ALGEBRA
            - ALGEBRA_INTEGRAL
            - ANNEX
            - APE_SWAP
            - ARTH_SWAP
            - ASTRO_SWAP
            - ASCENT
            - AURORA_SWAP
            - AVNU
            - AETHON_SWAP
            - ATLANTIS
            - AQUARIUS
            - BABY_SWAP
            - BALANCER
            - BASE_SWAP
            - BEAM_SWAP
            - BI_SWAP
            - BRIDGERS
            - BLAZE_SWAP
            - BULBA_SWAP
            - CAMELOT
            - CETUS
            - CHERRY_SWAP
            - CLAIM_SWAP
            - CLEARSWAP
            - COFFEE_SWAP
            - CREMA_FINANCE
            - CRO_SWAP
            - CRONA_SWAP
            - CROPPER_FINANCE
            - CROW_FI
            - CRO_DEX
            - CURVE
            - CLOBER
            - DEDUST
            - DEFI_PLAZA
            - DEFI_SWAP
            - DFLOW
            - DFYN
            - DLN
            - DODO
            - DRAGON_SWAP
            - DYSTOPIA
            - ECHO_DEX
            - EDDY_FINANCE
            - ELK
            - ENOSYS
            - ENOSYS_V3
            - FENIX_V2
            - FENIX_V3
            - FINKUJIRA
            - FUSIONX
            - FRAX_SWAP_V2
            - HONEY_SWAP
            - HORIZONDEX
            - HYPERCAT
            - JET_SWAP
            - JOE
            - JUPITER
            - JUPITER_SWAP
            - J_SWAP
            - KIM
            - KODIAK
            - KUJATA
            - KYBER_SWAP
            - KYO_FINANCE
            - LUA_SWAP
            - LIFI
            - MACARON
            - MAVERICK
            - MDEX
            - MERLIN_SWAP
            - MESH_SWAP
            - MM_FINANCE
            - MOJITO_SWAP
            - MUTE_SWAP
            - NET_SWAP
            - NATIVE_ROUTER
            - ODOS
            - OKC_SWAP
            - OKU_SWAP
            - ONE_INCH
            - ONE_MOON
            - ONE_SOL
            - OMNIDEX
            - OOLONG_SWAP
            - OPEN_OCEAN
            - ORCA_SWAP
            - OSMOSIS_SWAP
            - OCTO_SWAP
            - PANCAKE_SWAP
            - PANCAKE_SWAP_V3
            - PANGOLIN
            - PARA_SWAP
            - PEGASYS
            - PHOTON_SWAP
            - POLYDEX
            - PITEAS
            - QUICK_SWAP
            - QUICK_SWAP_V3
            - PULSEX_V1
            - PULSEX_V2
            - RANGO
            - RAYDIUM
            - REF_FINANCE
            - REN_BTC
            - ROUTER_SWAP
            - RUBIC_STELLAR_API
            - SABER_STABLE_SWAP
            - SAROS_SWAP
            - SERUM
            - SHIBA_SWAP
            - SILK_SWAP
            - SMOOTHY
            - SOLANA
            - SOLAR_BEAM
            - SPACEFI_SWAP
            - SPIRIT_SWAP
            - SPL_TOKEN_SWAP
            - SPOOKY_SWAP
            - SOUL_SWAP
            - STELLA_SWAP
            - STONFI
            - SUN_SWAP
            - SURFDEX
            - SUSHI_SWAP
            - SYNAPSE
            - SYNC_SWAP
            - SPARK_DEX
            - SPARK_DEX_V3
            - SQUIDROUTER
            - SYMBIOSIS_SWAP
            - SOROSWAP
            - TONCO_DEX
            - TRADER
            - TRISOLARIS
            - IZUMI
            - UBE_SWAP
            - UNISWAP_V2
            - UNI_SWAP_V3
            - UNIZEN
            - VERSE
            - VIPER_SWAP
            - VOLTAGE_SWAP
            - VOOI
            - VVS_FINANCE
            - WAGYU_SWAP
            - WANNA_SWAP
            - WAULT_SWAP
            - WOO_FI
            - WRAPPED
            - WYND
            - WARPX_V2
            - WARPX_V3
            - XY_DEX
            - YUZU_SWAP
            - ZAPPY
            - ZIP_SWAP
            - ZRX
            - ZETA_SWAP
        foreignBlacklist:
          description: Foreign provider-calculation to exclude from calculation
          default:
            dflow: []
            lifi: []
            rango: []
            zerox: []
          allOf:
            - $ref: '#/components/schemas/ForeignBlacklistDto'
        timeout:
          type: number
          description: Calculation timeout in seconds
          example: 32
          default: 30
          minimum: 2
          maximum: 60
        enableTestnets:
          type: boolean
          description: Use testnets for calculation or not
          example: false
        referrer:
          type: object
          description: Referrer address
          example: rubic.exchange
          default: rubic.exchange
        enableChecks:
          type: object
          description: Enable possible gas and wallet errors checks
          default: true
        skipFeeProviders:
          type: object
          description: Skip providers with fee in route
          default: false
        showFailedRoutes:
          type: boolean
          description: Show failed routes in response or not
          example: false
          default: false
        showDangerousRoutes:
          type: boolean
          description: Show dangerous routes in response or not
          example: false
          default: false
        depositTradeParams:
          type: string
          default: all
          enum:
            - onlyDeposits
            - noDeposits
            - all
        useDepositTradeIfAvailable:
          type: boolean
          description: Use deposit trade if available
          default: false
        id:
          type: string
          description: Id of the calculated trade
        signature:
          type: string
          description: Signature to auth wallet
        publicKey:
          type: string
          description: Public key of bitcoin wallet address
        refundAddress:
          type: string
          description: Address for refunds in src chain in case of reverted deposit trades
      required:
        - srcTokenAddress
        - dstTokenBlockchain
        - srcTokenBlockchain
        - srcTokenAmount
        - dstTokenAddress
        - receiver
        - referrer
        - id
    SwapResponseDto:
      type: object
      properties:
        quote:
          $ref: '#/components/schemas/SwapRequestDto'
        estimate:
          $ref: '#/components/schemas/EstimatesDto'
        fees:
          $ref: '#/components/schemas/FeesDto'
        transaction:
          $ref: '#/components/schemas/TransactionDto'
        uniqueInfo:
          $ref: '#/components/schemas/UniqueInfoDto'
        warnings:
          description: Specific info about quote params provide
          type: array
          items:
            $ref: '#/components/schemas/ErrorDto'
        routing:
          type: array
          items:
            $ref: '#/components/schemas/RoutingDto'
        providerType:
          type: object
        swapType:
          type: object
        useRubicContract:
          type: boolean
      required:
        - quote
        - estimate
        - fees
        - transaction
        - warnings
        - routing
        - providerType
        - swapType
        - useRubicContract
    ForeignBlacklistDto:
      type: object
      properties:
        lifi:
          type: array
          items:
            type: string
        rango:
          type: array
          items:
            type: string
        zerox:
          type: array
          items:
            type: string
        dflow:
          type: array
          items:
            type: string
    SwapRequestDto:
      type: object
      properties:
        srcTokenAddress:
          type: string
          description: Destination token blockchain
        dstTokenBlockchain:
          type: string
          description: Destination token blockchain
          default: POLYGON
          enum:
            - MUMBAI
            - BSCT
            - GOERLI
            - FUJI
            - SCROLL_SEPOLIA
            - ARTHERA
            - SEPOLIA
            - BERACHAIN_TESTNET
            - BLAST_TESTNET
            - HOLESKY
            - UNICHAIN_SEPOLIA_TESTNET
            - ETH
            - BSC
            - POLYGON
            - POLYGON_ZKEVM
            - AVALANCHE
            - MOONRIVER
            - FANTOM
            - HARMONY
            - ARBITRUM
            - AURORA
            - TELOS
            - OPTIMISM
            - CRONOS
            - OKX
            - GNOSIS
            - FUSE
            - MOONBEAM
            - CELO
            - BOBA
            - BOBA_BSC
            - ASTAR_EVM
            - KAVA
            - BITGERT
            - OASIS
            - METIS
            - DEFIKINGDOMS
            - KLAYTN
            - VELAS
            - SYSCOIN
            - ETHEREUM_CLASSIC
            - FLARE
            - IOTEX
            - THETA
            - ZK_SYNC
            - PULSECHAIN
            - LINEA
            - BASE
            - MANTLE
            - MANTA_PACIFIC
            - SCROLL
            - ZETACHAIN
            - BLAST
            - HORIZEN_EON
            - MERLIN
            - ROOTSTOCK
            - MODE
            - ZK_FAIR
            - ZK_LINK
            - XLAYER
            - TAIKO
            - SEI
            - CORE
            - BAHAMUT
            - BITLAYER
            - GRAVITY
            - FRAXTAL
            - BERACHAIN
            - SONEIUM
            - UNICHAIN
            - MORPH
            - HEMI
            - PLASMA
            - MONAD
            - HYPER_EVM
            - MEGAETH
            - BITCOIN_CASH
            - NEAR
            - ICP
            - CARDANO
            - AION
            - ALGORAND
            - APTOS
            - ARDOR
            - ARK
            - ASTAR
            - COSMOS
            - BAND_PROTOCOL
            - BITCOIN_DIAMOND
            - BSV
            - BITCOIN_GOLD
            - CASPER
            - DASH
            - DECRED
            - DIGI_BYTE
            - DIVI
            - DOGECOIN
            - POLKADOT
            - MULTIVERS_X
            - FIO_PROTOCOL
            - FIRO
            - FLOW
            - HEDERA
            - HELIUM
            - ICON
            - IOST
            - IOTA
            - KADENA
            - KOMODO
            - KUSAMA
            - LISK
            - LITECOIN
            - TERRA
            - TERRA_CLASSIC
            - MINA_PROTOCOL
            - NANO
            - NEO
            - OSMOSIS
            - PIVX
            - POLYX
            - QTUM
            - THOR_CHAIN
            - RAVENCOIN
            - SIA
            - SECRET
            - STEEM
            - STRATIS
            - STACKS
            - SOLAR
            - VE_CHAIN
            - WAVES
            - WAX
            - DX_CHAIN
            - E_CASH
            - NEM
            - STELLAR
            - MONERO
            - RIPPLE
            - TEZOS
            - VERGE
            - SYMBOL
            - ZCASH
            - HORIZEN
            - ZILLIQA
            - KAVA_COSMOS
            - FILECOIN
            - EOS
            - ONTOLOGY
            - XDC
            - STARKNET
            - TON
            - SOLANA
            - BITCOIN
            - TRON
            - SUI
        srcTokenBlockchain:
          type: string
          description: Source token blockchain
          default: ETH
          enum:
            - MUMBAI
            - BSCT
            - GOERLI
            - FUJI
            - SCROLL_SEPOLIA
            - ARTHERA
            - SEPOLIA
            - BERACHAIN_TESTNET
            - BLAST_TESTNET
            - HOLESKY
            - UNICHAIN_SEPOLIA_TESTNET
            - ETH
            - BSC
            - POLYGON
            - POLYGON_ZKEVM
            - AVALANCHE
            - MOONRIVER
            - FANTOM
            - HARMONY
            - ARBITRUM
            - AURORA
            - TELOS
            - OPTIMISM
            - CRONOS
            - OKX
            - GNOSIS
            - FUSE
            - MOONBEAM
            - CELO
            - BOBA
            - BOBA_BSC
            - ASTAR_EVM
            - KAVA
            - BITGERT
            - OASIS
            - METIS
            - DEFIKINGDOMS
            - KLAYTN
            - VELAS
            - SYSCOIN
            - ETHEREUM_CLASSIC
            - FLARE
            - IOTEX
            - THETA
            - ZK_SYNC
            - PULSECHAIN
            - LINEA
            - BASE
            - MANTLE
            - MANTA_PACIFIC
            - SCROLL
            - ZETACHAIN
            - BLAST
            - HORIZEN_EON
            - MERLIN
            - ROOTSTOCK
            - MODE
            - ZK_FAIR
            - ZK_LINK
            - XLAYER
            - TAIKO
            - SEI
            - CORE
            - BAHAMUT
            - BITLAYER
            - GRAVITY
            - FRAXTAL
            - BERACHAIN
            - SONEIUM
            - UNICHAIN
            - MORPH
            - HEMI
            - PLASMA
            - MONAD
            - HYPER_EVM
            - MEGAETH
            - BITCOIN_CASH
            - NEAR
            - ICP
            - CARDANO
            - AION
            - ALGORAND
            - APTOS
            - ARDOR
            - ARK
            - ASTAR
            - COSMOS
            - BAND_PROTOCOL
            - BITCOIN_DIAMOND
            - BSV
            - BITCOIN_GOLD
            - CASPER
            - DASH
            - DECRED
            - DIGI_BYTE
            - DIVI
            - DOGECOIN
            - POLKADOT
            - MULTIVERS_X
            - FIO_PROTOCOL
            - FIRO
            - FLOW
            - HEDERA
            - HELIUM
            - ICON
            - IOST
            - IOTA
            - KADENA
            - KOMODO
            - KUSAMA
            - LISK
            - LITECOIN
            - TERRA
            - TERRA_CLASSIC
            - MINA_PROTOCOL
            - NANO
            - NEO
            - OSMOSIS
            - PIVX
            - POLYX
            - QTUM
            - THOR_CHAIN
            - RAVENCOIN
            - SIA
            - SECRET
            - STEEM
            - STRATIS
            - STACKS
            - SOLAR
            - VE_CHAIN
            - WAVES
            - WAX
            - DX_CHAIN
            - E_CASH
            - NEM
            - STELLAR
            - MONERO
            - RIPPLE
            - TEZOS
            - VERGE
            - SYMBOL
            - ZCASH
            - HORIZEN
            - ZILLIQA
            - KAVA_COSMOS
            - FILECOIN
            - EOS
            - ONTOLOGY
            - XDC
            - STARKNET
            - TON
            - SOLANA
            - BITCOIN
            - TRON
            - SUI
        srcTokenAmount:
          type: string
          description: Source token amount with decimals
          example: '1.05'
        dstTokenAddress:
          type: string
          description: Destination token address
          example: '0x0000000000000000000000000000000000000000'
        nativeBlacklist:
          description: Native provider-calculation to exclude from calculation
          default: []
          type: array
          items:
            type: string
        id:
          type: string
          description: Id of the calculated trade
        enableChecks:
          type: object
          description: Enable possible gas and wallet errors checks
          default: true
        fromAddress:
          type: string
          description: Wallet address to send funds from
        receiver:
          type: string
          description: Wallet address to send tokens to on the destination blockchain
        signature:
          type: string
          description: Signature to auth wallet
        publicKey:
          type: string
          description: Public key of bitcoin wallet address
        refundAddress:
          type: string
          description: Address for refunds in src chain in case of reverted deposit trades
        integratorAddress:
          type: string
          description: Integrator address to set fees
        slippage:
          type: number
          description: Slippage tolerance in percents for trade
          example: 0.02
          maximum: 0.5
        preferredProvider:
          type: string
          description: Preferred provider for calculation
          enum:
            - symbiosis
            - lifi
            - dln
            - bridgers
            - multichain
            - xy
            - celer_bridge
            - changenow
            - stargate_v2
            - arbitrum
            - squidrouter
            - scroll_bridge
            - taiko_bridge
            - rango
            - pulsechain_bridge
            - orbiter_bridge
            - orbiter_bridge_v2
            - owl_to_bridge
            - layerzero
            - archon_bridge
            - meson
            - eddy_bridge
            - router
            - retro_bridge
            - across
            - unizen
            - simple_swap
            - changelly
            - tele_swap
            - wanchain_bridge
            - relay
            - xflows
            - wormhole
            - exolix
            - near_intents
            - usdt_zero_bridge
            - houdini
            - quickex
            - rubic_stellar_api
            - pact_swap
            - stealthex
            - mayan
            - instaswap
            - 10K_SWAP
            - AERODROME
            - ACRYPTOS
            - ALDRIN_EXCHANGE
            - ALGEBRA
            - ALGEBRA_INTEGRAL
            - ANNEX
            - APE_SWAP
            - ARTH_SWAP
            - ASTRO_SWAP
            - ASCENT
            - AURORA_SWAP
            - AVNU
            - AETHON_SWAP
            - ATLANTIS
            - AQUARIUS
            - BABY_SWAP
            - BALANCER
            - BASE_SWAP
            - BEAM_SWAP
            - BI_SWAP
            - BRIDGERS
            - BLAZE_SWAP
            - BULBA_SWAP
            - CAMELOT
            - CETUS
            - CHERRY_SWAP
            - CLAIM_SWAP
            - CLEARSWAP
            - COFFEE_SWAP
            - CREMA_FINANCE
            - CRO_SWAP
            - CRONA_SWAP
            - CROPPER_FINANCE
            - CROW_FI
            - CRO_DEX
            - CURVE
            - CLOBER
            - DEDUST
            - DEFI_PLAZA
            - DEFI_SWAP
            - DFLOW
            - DFYN
            - DLN
            - DODO
            - DRAGON_SWAP
            - DYSTOPIA
            - ECHO_DEX
            - EDDY_FINANCE
            - ELK
            - ENOSYS
            - ENOSYS_V3
            - FENIX_V2
            - FENIX_V3
            - FINKUJIRA
            - FUSIONX
            - FRAX_SWAP_V2
            - HONEY_SWAP
            - HORIZONDEX
            - HYPERCAT
            - JET_SWAP
            - JOE
            - JUPITER
            - JUPITER_SWAP
            - J_SWAP
            - KIM
            - KODIAK
            - KUJATA
            - KYBER_SWAP
            - KYO_FINANCE
            - LUA_SWAP
            - LIFI
            - MACARON
            - MAVERICK
            - MDEX
            - MERLIN_SWAP
            - MESH_SWAP
            - MM_FINANCE
            - MOJITO_SWAP
            - MUTE_SWAP
            - NET_SWAP
            - NATIVE_ROUTER
            - ODOS
            - OKC_SWAP
            - OKU_SWAP
            - ONE_INCH
            - ONE_MOON
            - ONE_SOL
            - OMNIDEX
            - OOLONG_SWAP
            - OPEN_OCEAN
            - ORCA_SWAP
            - OSMOSIS_SWAP
            - OCTO_SWAP
            - PANCAKE_SWAP
            - PANCAKE_SWAP_V3
            - PANGOLIN
            - PARA_SWAP
            - PEGASYS
            - PHOTON_SWAP
            - POLYDEX
            - PITEAS
            - QUICK_SWAP
            - QUICK_SWAP_V3
            - PULSEX_V1
            - PULSEX_V2
            - RANGO
            - RAYDIUM
            - REF_FINANCE
            - REN_BTC
            - ROUTER_SWAP
            - RUBIC_STELLAR_API
            - SABER_STABLE_SWAP
            - SAROS_SWAP
            - SERUM
            - SHIBA_SWAP
            - SILK_SWAP
            - SMOOTHY
            - SOLANA
            - SOLAR_BEAM
            - SPACEFI_SWAP
            - SPIRIT_SWAP
            - SPL_TOKEN_SWAP
            - SPOOKY_SWAP
            - SOUL_SWAP
            - STELLA_SWAP
            - STONFI
            - SUN_SWAP
            - SURFDEX
            - SUSHI_SWAP
            - SYNAPSE
            - SYNC_SWAP
            - SPARK_DEX
            - SPARK_DEX_V3
            - SQUIDROUTER
            - SYMBIOSIS_SWAP
            - SOROSWAP
            - TONCO_DEX
            - TRADER
            - TRISOLARIS
            - IZUMI
            - UBE_SWAP
            - UNISWAP_V2
            - UNI_SWAP_V3
            - UNIZEN
            - VERSE
            - VIPER_SWAP
            - VOLTAGE_SWAP
            - VOOI
            - VVS_FINANCE
            - WAGYU_SWAP
            - WANNA_SWAP
            - WAULT_SWAP
            - WOO_FI
            - WRAPPED
            - WYND
            - WARPX_V2
            - WARPX_V3
            - XY_DEX
            - YUZU_SWAP
            - ZAPPY
            - ZIP_SWAP
            - ZRX
            - ZETA_SWAP
        foreignBlacklist:
          description: Foreign provider-calculation to exclude from calculation
          default:
            dflow: []
            lifi: []
            rango: []
            zerox: []
          allOf:
            - $ref: '#/components/schemas/ForeignBlacklistDto'
        timeout:
          type: number
          description: Calculation timeout in seconds
          example: 32
          default: 30
          minimum: 2
          maximum: 60
        enableTestnets:
          type: boolean
          description: Use testnets for calculation or not
          example: false
        referrer:
          type: object
          description: Referrer address
          example: rubic.exchange
          default: rubic.exchange
        skipFeeProviders:
          type: object
          description: Skip providers with fee in route
          default: false
        showFailedRoutes:
          type: boolean
          description: Show failed routes in response or not
          example: false
          default: false
        showDangerousRoutes:
          type: boolean
          description: Show dangerous routes in response or not
          example: false
          default: false
        depositTradeParams:
          type: string
          default: all
          enum:
            - onlyDeposits
            - noDeposits
            - all
        useDepositTradeIfAvailable:
          type: boolean
          description: Use deposit trade if available
          default: false
      required:
        - srcTokenAddress
        - dstTokenBlockchain
        - srcTokenBlockchain
        - srcTokenAmount
        - dstTokenAddress
        - id
        - fromAddress
        - receiver
        - referrer
    EstimatesDto:
      type: object
      properties:
        destinationTokenAmount:
          type: string
          description: Expected amount of tokens to receive in destination chains
          example: '1.05'
        destinationTokenMinAmount:
          type: string
          description: Minimum amount of tokens to receive in destination chain
          example: '1.02'
        destinationWeiAmount:
          type: string
          description: Expected amount of tokens to receive in destination chain in WEI
          example: '105000000000000000'
        destinationWeiMinAmount:
          type: string
          description: Minimum amount of tokens to receive in destination chain in WEI
          example: '102000000000000000'
        destinationUsdAmount:
          type: number
          description: Expected USD amount of tokens to receive in destination chain
          example: '25.31'
        destinationUsdMinAmount:
          type: number
          description: Minimum USD amount of tokens to receive in destination chain
          example: '25.31'
        durationInMinutes:
          type: number
          description: Expected duration of the trade in minutes
          example: '5'
        slippage:
          type: number
          description: Expected slippage percent
          example: '5'
        priceImpact:
          type: number
          nullable: true
          description: Price impact
          example: '3'
        intermidiateTokenWeiAmount:
          type: string
          description: >-
            Wei amount of intermidiate token, which is used in Rubic-Private
            provider
          example: '105000000000000000'
      required:
        - destinationTokenAmount
        - destinationTokenMinAmount
        - destinationWeiAmount
        - destinationWeiMinAmount
        - durationInMinutes
        - slippage
        - priceImpact
        - intermidiateTokenWeiAmount
    FeesDto:
      type: object
      properties:
        gasTokenFees:
          type: object
          properties:
            gas:
              $ref: '#/components/schemas/GasFeeDto'
              required: true
            protocol:
              $ref: '#/components/schemas/ProtocolFeeDto'
              required: true
            provider:
              $ref: '#/components/schemas/ProviderFeeDto'
              required: true
            nativeToken:
              $ref: '#/components/schemas/TokenDto'
              required: true
        percentFees:
          $ref: '#/components/schemas/PercentFeeDto'
      required:
        - gasTokenFees
        - percentFees
    TransactionDto:
      type: object
      properties:
        approvalAddress:
          type: string
          description: Gateway address to approve erc20 token
        permit2Address:
          type: string
          description: ''
        data:
          type: string
          description: Data to execute
        to:
          type: string
          description: Contract to call
        value:
          type: string
          description: ''
        depositAddress:
          type: string
          description: Address to deposit funds to
        amountToSend:
          type: string
          description: Token amount to send to deposit address
        extraFields:
          type: object
          description: Extra fields to perform the transaction
        exchangeId:
          type: string
          description: ''
        tonMessages:
          description: Messages array for tonConnectUI.sendTransaction() call
          type: array
          items:
            $ref: '#/components/schemas/TonEncodedConfigDto'
        psbt:
          type: string
          description: Unsigned psbt bitcoin transaction
        signInputs:
          description: Indexes of inputs which user have to sign
          type: array
          items:
            type: number
        feeLimit:
          type: number
          description: Fee limit for tron blockchain
        callValue:
          type: string
          description: Native token value for tron blockchain
        signature:
          type: string
          description: Function signature of tron transaction
        arguments:
          description: ''
          type: array
          items:
            type: string
        rawParameter:
          type: string
          description: Encoded tron transaction arguments
        transaction:
          type: string
          description: Fee limit for tron blockchain
    UniqueInfoDto:
      type: object
      properties:
        changenowId:
          type: string
        changellyId:
          type: string
        simpleSwapId:
          type: string
        retroBridgeId:
          type: string
        squidrouterRequestId:
          type: string
        rangoRequestId:
          type: string
        retrobridgeId:
          type: string
        relayId:
          type: string
        exolixId:
          type: string
        quickexId:
          type: string
        acrossId:
          type: string
        nearIntentsId:
          type: string
        houdiniId:
          type: string
        clearswapId:
          type: string
        relayDepositId:
          type: string
        stealthexId:
          type: string
        instaswapId:
          type: string
    ErrorDto:
      type: object
      properties: {}
    RoutingDto:
      type: object
      properties:
        type:
          type: object
          description: Swap type
        provider:
          type: string
          description: Provider name
        path:
          description: Tokens path
          type: array
          items:
            $ref: '#/components/schemas/TokenAmountDto'
      required:
        - type
        - provider
        - path
    GasFeeDto:
      type: object
      properties:
        gasPrice:
          type: string
          nullable: true
          description: Estimated gas price in source network in WEI
          example: '1000000000000000000'
        baseFee:
          type: string
          nullable: true
          description: Estimated gas price in source network in WEI
          example: '1000000000000000000'
        maxFeePerGas:
          type: string
          nullable: true
          description: Estimated gas price in source network in WEI
          example: '1000000000000000000'
        maxPriorityFeePerGas:
          type: string
          nullable: true
          description: Estimated gas price in source network in WEI
          example: '1000000000000000000'
        gasLimit:
          type: string
          nullable: true
          description: Estimated limit in source network in WEI
          example: '1000000000000000'
        totalWeiAmount:
          type: string
          nullable: true
          description: Estimated total amount of spent GAS
          example: '5020000000000000'
        totalUsdAmount:
          type: number
          nullable: true
          description: Estimated USD amount of spent GAS
          example: '15.31'
      required:
        - gasPrice
        - baseFee
        - maxFeePerGas
        - maxPriorityFeePerGas
        - gasLimit
        - totalWeiAmount
        - totalUsdAmount
    ProtocolFeeDto:
      type: object
      properties:
        fixedAmount:
          type: string
          description: Rubic protocol fee in native tokens
          example: '0.00013'
        fixedWeiAmount:
          type: string
          description: Rubic protocol fee in WEI
          example: '130000000000000'
        fixedUsdAmount:
          type: number
          description: Rubic protocol fee in USD
          example: '1.53'
      required:
        - fixedAmount
        - fixedWeiAmount
        - fixedUsdAmount
    ProviderFeeDto:
      type: object
      properties:
        fixedAmount:
          type: string
          description: Provider fee in native tokens
          example: '0.00013'
        fixedWeiAmount:
          type: string
          description: Provider fee in WEI
          example: '130000000000000'
        fixedUsdAmount:
          type: number
          description: Provider fee in USD
          example: '1.53'
      required:
        - fixedAmount
        - fixedWeiAmount
        - fixedUsdAmount
    TokenDto:
      type: object
      properties:
        address:
          type: string
          description: Token address
          example: '0x0000000000000000000000000000000000000000'
        decimals:
          type: number
          description: Token decimals
          example: 18
        symbol:
          type: string
          description: Token symbol
          example: ETH
        name:
          type: string
          description: Token name
          example: Ethereum
        blockchainId:
          type: number
          description: Blockchain id
          example: '1'
        blockchain:
          type: object
          description: Blockchain name
          example: ETH
        price:
          type: number
          description: Token price in USD
          example: '1.35'
      required:
        - address
        - decimals
        - symbol
        - name
        - blockchainId
        - blockchain
    PercentFeeDto:
      type: object
      properties:
        percent:
          type: number
          description: Percent
        token:
          nullable: true
          description: Token
          allOf:
            - $ref: '#/components/schemas/TokenDto'
      required:
        - percent
        - token
    TonEncodedConfigDto:
      type: object
      properties:
        address:
          type: string
          description: >-
            In default transfer - it's a receiverWalletAddress to send funds. In
            tx using contracts - it's a jettonWalletAddress (like ERC-20, but in
            TON)
        amount:
          type: string
          description: >-
            Amount to send tx in nanotons. In default trasfer - it's a
            transfered value + gasFee. 

            In tx using contracts - it's static gasFee, by default
            toNano(0.05).toString()
        payload:
          type: string
          description: Data for contract.
        stateInit:
          type: string
      required:
        - address
        - amount
    TokenAmountDto:
      type: object
      properties:
        address:
          type: string
          description: Token address
          example: '0x0000000000000000000000000000000000000000'
        decimals:
          type: number
          description: Token decimals
          example: 18
        symbol:
          type: string
          description: Token symbol
          example: ETH
        name:
          type: string
          description: Token name
          example: Ethereum
        blockchainId:
          type: number
          description: Blockchain id
          example: '1'
        blockchain:
          type: object
          description: Blockchain name
          example: ETH
        price:
          type: number
          description: Token price in USD
          example: '1.35'
        amount:
          type: string
          description: Token amount
          example: '0.00123'
      required:
        - address
        - decimals
        - symbol
        - name
        - blockchainId
        - blockchain
        - amount

````